Index: q931.c
===================================================================
RCS file: /usr/cvsroot/libpri/q931.c,v
retrieving revision 1.111
diff -u -r1.111 q931.c
--- q931.c	27 Jan 2005 20:47:10 -0000	1.111
+++ q931.c	28 Jan 2005 18:34:05 -0000
@@ -205,6 +205,7 @@
 #define LOC_NETWORK_BEYOND_INTERWORKING	0xa
 
 static char *ie2str(int ie);
+static char *msg2str(int msg);
 
 
 #define FUNC_DUMP(name) void ((name))(int full_ie, q931_ie *ie, int len, char prefix)
@@ -1383,6 +1384,10 @@
 	case PRI_CAUSE_IE_NONEXIST:
 		for (x=2;x<ie->len;x++) 
 			pri_message("%c              Cause data %d: %02x (%d, %s IE)\n", prefix, x-1, ie->data[x], ie->data[x], ie2str(ie->data[x]));
+		break;
+	case PRI_CAUSE_WRONG_CALL_STATE:
+		for (x=2;x<ie->len;x++) 
+			pri_message("%c              Cause data %d: %02x (%d, %s message)\n", prefix, x-1, ie->data[x], ie->data[x], msg2str(ie->data[x]));
 		break;
 	case PRI_CAUSE_RECOVERY_ON_TIMER_EXPIRE:
 		pri_message("%c              Cause data:", prefix);
